_Auxiliary_Code:
;Timer_click.c,22 :: 		void Auxiliary_Code() {
;Timer_click.c,23 :: 		TFT_WR = 0;
LDA.x	R0, #AlignedAddress(GPIO_PIN47_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN47_bit+0)=0
STI.x	GPIO_PIN47_bit+0, #AlignedAddress(R0)
;Timer_click.c,24 :: 		asm nop;
NOP	
;Timer_click.c,25 :: 		TFT_WR = 1;
LDA.x	R0, #AlignedAddress(GPIO_PIN47_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN47_bit+0)=1
STI.x	GPIO_PIN47_bit+0, #AlignedAddress(R0)
;Timer_click.c,26 :: 		}
L_end_Auxiliary_Code:
RETURN	
; end of _Auxiliary_Code
_Set_Index:
;Timer_click.c,28 :: 		void Set_Index(unsigned short index) {
; index start address is: 0 (R0)
; index end address is: 0 (R0)
; index start address is: 0 (R0)
;Timer_click.c,29 :: 		TFT_RS = 0;
LDA.x	R1, #AlignedAddress(GPIO_PIN40_bit+0)
BINS.L	R1, R1, #BitPos(GPIO_PIN40_bit+0)=0
STI.x	GPIO_PIN40_bit+0, #AlignedAddress(R1)
;Timer_click.c,30 :: 		asm nop;
NOP	
;Timer_click.c,31 :: 		TFT_DataPort = index;
STA.B	GPIO_PORT_32_39+0, R0
; index end address is: 0 (R0)
;Timer_click.c,32 :: 		asm nop; asm nop;
NOP	
NOP	
;Timer_click.c,33 :: 		Auxiliary_Code();
CALL	_Auxiliary_Code+0
;Timer_click.c,34 :: 		}
L_end_Set_Index:
RETURN	
; end of _Set_Index
_Write_Command:
;Timer_click.c,36 :: 		void Write_Command(unsigned short cmd) {
; cmd start address is: 0 (R0)
; cmd end address is: 0 (R0)
; cmd start address is: 0 (R0)
;Timer_click.c,37 :: 		TFT_RS = 1;
LDA.x	R1, #AlignedAddress(GPIO_PIN40_bit+0)
BINS.L	R1, R1, #BitPos(GPIO_PIN40_bit+0)=1
STI.x	GPIO_PIN40_bit+0, #AlignedAddress(R1)
;Timer_click.c,38 :: 		asm nop;
NOP	
;Timer_click.c,39 :: 		TFT_DataPort = cmd;
STA.B	GPIO_PORT_32_39+0, R0
; cmd end address is: 0 (R0)
;Timer_click.c,40 :: 		asm nop; asm nop;
NOP	
NOP	
;Timer_click.c,41 :: 		Auxiliary_Code();
CALL	_Auxiliary_Code+0
;Timer_click.c,42 :: 		}
L_end_Write_Command:
RETURN	
; end of _Write_Command
_Write_Data:
;Timer_click.c,44 :: 		void Write_Data(unsigned int _data) {
LINK	LR, #4
STI.S	SP, #0, R0
;Timer_click.c,45 :: 		TFT_RS = 1;
LDA.x	R1, #AlignedAddress(GPIO_PIN40_bit+0)
BINS.L	R1, R1, #BitPos(GPIO_PIN40_bit+0)=1
STI.x	GPIO_PIN40_bit+0, #AlignedAddress(R1)
;Timer_click.c,46 :: 		asm nop;
NOP	
;Timer_click.c,47 :: 		TFT_DataPort = Hi(_data);
ADD.L	R1, SP, #0
ADD.L	R1, R1, #1
LDI.B	R1, R1, #0
STA.B	GPIO_PORT_32_39+0, R1
;Timer_click.c,48 :: 		asm nop; asm nop;
NOP	
NOP	
;Timer_click.c,49 :: 		Auxiliary_Code();
CALL	_Auxiliary_Code+0
;Timer_click.c,50 :: 		asm nop;
NOP	
;Timer_click.c,51 :: 		TFT_DataPort = Lo(_data);
ADD.L	R1, SP, #0
LDI.B	R1, R1, #0
STA.B	GPIO_PORT_32_39+0, R1
;Timer_click.c,52 :: 		asm nop; asm nop;
NOP	
NOP	
;Timer_click.c,53 :: 		Auxiliary_Code();
CALL	_Auxiliary_Code+0
;Timer_click.c,54 :: 		}
L_end_Write_Data:
UNLINK	LR
RETURN	
; end of _Write_Data
_Display_Init:
;Timer_click.c,65 :: 		void Display_Init(){
;Timer_click.c,66 :: 		TFT_Set_Active(Set_Index, Write_Command, Write_Data);
LDK.L	R2, #_Write_Data+0
LDK.L	R1, #_Write_Command+0
LDK.L	R0, #_Set_Index+0
CALL	_TFT_Set_Active+0
;Timer_click.c,67 :: 		TFT_Init_ILI9341_8bit(320, 240);
LDK.L	R1, #240
LDK.L	R0, #320
CALL	_TFT_Init_ILI9341_8bit+0
;Timer_click.c,68 :: 		TFT_BLED = 1;
LDA.x	R0, #AlignedAddress(GPIO_PIN58_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN58_bit+0)=1
STI.x	GPIO_PIN58_bit+0, #AlignedAddress(R0)
;Timer_click.c,69 :: 		TFT_Set_Pen(CL_AQUA, 1);
LDK.L	R1, #1
LDK.L	R0, #4095
CALL	_TFT_Set_Pen+0
;Timer_click.c,70 :: 		TFT_Fill_Screen(CL_AQUA);
LDK.L	R0, #4095
CALL	_TFT_Fill_Screen+0
;Timer_click.c,71 :: 		TFT_Set_Font(TFT_defaultFont, CL_BLACK, FO_HORIZONTAL);
LDK.L	R2, #0
LDK.L	R1, #0
LDK.L	R0, #_TFT_defaultFont+0
CALL	_TFT_Set_Font+0
;Timer_click.c,72 :: 		TFT_Set_Pen(CL_AQUA, 1);
LDK.L	R1, #1
LDK.L	R0, #4095
CALL	_TFT_Set_Pen+0
;Timer_click.c,74 :: 		TFT_Set_Brush(1, CL_AQUA, 0, LEFT_TO_RIGHT, CL_AQUA, CL_AQUA);
LDK.L	R5, #4095
LDK.L	R4, #4095
LDK.L	R3, #1
LDK.L	R2, #0
LDK.L	R1, #4095
LDK.L	R0, #1
CALL	_TFT_Set_Brush+0
;Timer_click.c,76 :: 		TFT_Write_Text("Event count: ",10,10);
LDK.L	R0, #?lstr1_Timer_click+0
LDK.L	R2, #10
LDK.L	R1, #10
CALL	_TFT_Write_Text+0
;Timer_click.c,77 :: 		TFT_Write_Text("Time count: ",10,50);
LDK.L	R0, #?lstr2_Timer_click+0
LDK.L	R2, #50
LDK.L	R1, #10
CALL	_TFT_Write_Text+0
;Timer_click.c,78 :: 		}
L_end_Display_Init:
RETURN	
; end of _Display_Init
_MCU_Init:
;Timer_click.c,80 :: 		void MCU_Init() {
;Timer_click.c,81 :: 		GPIO_Digital_Output(&GPIO_PORT_00_07,_GPIO_PINMASK_1);
LDK.L	R1, #2
LDK.L	R0, #GPIO_PORT_00_07+0
CALL	_GPIO_Digital_Output+0
;Timer_click.c,82 :: 		GPIO_Digital_Input(&GPIO_PORT_00_07, _GPIO_PINMASK_0 | _GPIO_PINMASK_3);
LDK.L	R1, #9
LDK.L	R0, #GPIO_PORT_00_07+0
CALL	_GPIO_Digital_Input+0
;Timer_click.c,84 :: 		TIMER_EVT = 1;
LDA.x	R0, #AlignedAddress(GPIO_PIN1_bit+0)
BINS.L	R0, R0, #BitPos(GPIO_PIN1_bit+0)=1
STI.x	GPIO_PIN1_bit+0, #AlignedAddress(R0)
;Timer_click.c,85 :: 		I2CM1_Init(_I2CM_SPEED_MODE_STANDARD, _I2CM_SWAP_DISABLE);
LDK.L	R1, #0
LDK.L	R0, #0
CALL	_I2CM1_Init+0
;Timer_click.c,86 :: 		delay_ms(200);
LPM.L	R28, #6666665
NOP	
L_MCU_Init0:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_MCU_Init0
JMP	$+8
	#6666665
;Timer_click.c,87 :: 		}
L_end_MCU_Init:
RETURN	
; end of _MCU_Init
_main:
;Timer_click.c,89 :: 		void main() {
LDK.L	SP, #43605
;Timer_click.c,90 :: 		MCU_Init();
CALL	_MCU_Init+0
;Timer_click.c,91 :: 		timer_hal_init(DS1682_I2C_Adr);
LDK.L	R0, #107
CALL	_timer_hal_init+0
;Timer_click.c,92 :: 		Display_Init();
CALL	_Display_Init+0
;Timer_click.c,101 :: 		while(1) {
L_main2:
;Timer_click.c,102 :: 		delay_ms(2000);
LPM.L	R28, #66666665
NOP	
L_main4:
SUB.L	R28, R28, #1
CMP.L	R28, #0
JMPC	R30, Z, #0, L_main4
JMP	$+8
	#66666665
;Timer_click.c,103 :: 		TFT_Rectangle(100,10,200,40);
LDK.L	R3, #40
LDK.L	R2, #200
LDK.L	R1, #10
LDK.L	R0, #100
CALL	_TFT_Rectangle+0
;Timer_click.c,104 :: 		TFT_Rectangle(80,50,200,80);
LDK.L	R3, #80
LDK.L	R2, #200
LDK.L	R1, #50
LDK.L	R0, #80
CALL	_TFT_Rectangle+0
;Timer_click.c,106 :: 		EC = timer_get_ec_Value();
CALL	_timer_get_ec_value+0
STA.S	_EC+0, R0
;Timer_click.c,107 :: 		WordToStr(EC,text);
LDK.L	R1, #_text+0
CALL	_WordToStr+0
;Timer_click.c,108 :: 		TFT_Write_Text(text,100,10);
LDK.L	R2, #10
LDK.L	R1, #100
LDK.L	R0, #_text+0
CALL	_TFT_Write_Text+0
;Timer_click.c,109 :: 		ETC = timer_get_etc_value();
CALL	_timer_get_etc_value+0
STA.L	_ETC+0, R0
;Timer_click.c,110 :: 		LongWordToStr(ETC,text);
LDK.L	R1, #_text+0
CALL	_LongWordToStr+0
;Timer_click.c,111 :: 		TFT_Write_Text(text,100,50);
LDK.L	R2, #50
LDK.L	R1, #100
LDK.L	R0, #_text+0
CALL	_TFT_Write_Text+0
;Timer_click.c,112 :: 		}
JMP	L_main2
;Timer_click.c,114 :: 		}
L_end_main:
L__main_end_loop:
JMP	L__main_end_loop
; end of _main
