_timer_hal_init:
;timer_hal.c,132 :: 		void timer_hal_init( uint8_t address_id )
; address_id start address is: 0 (R0)
; address_id end address is: 0 (R0)
; address_id start address is: 0 (R0)
;timer_hal.c,202 :: 		soft_reset_i2c_p = I2CM_Soft_Reset_Ptr;
LDA.L	R1, _I2CM_Soft_Reset_Ptr+0
STA.L	timer_hal_soft_reset_i2c_p+0, R1
;timer_hal.c,203 :: 		set_slave_address_i2c_p = I2CM_Set_Slave_Address_Ptr;
LDA.L	R1, _I2CM_Set_Slave_Address_Ptr+0
STA.L	timer_hal_set_slave_address_i2c_p+0, R1
;timer_hal.c,204 :: 		write_i2c_p = I2CM_Write_Ptr;
LDA.L	R1, _I2CM_Write_Ptr+0
STA.L	timer_hal_write_i2c_p+0, R1
;timer_hal.c,205 :: 		read_i2c_p = I2CM_Read_Ptr;
LDA.L	R1, _I2CM_Read_Ptr+0
STA.L	timer_hal_read_i2c_p+0, R1
;timer_hal.c,206 :: 		write_bytes_i2c_p = I2CM_Write_Bytes_Ptr;
LDA.L	R1, _I2CM_Write_Bytes_Ptr+0
STA.L	timer_hal_write_bytes_i2c_p+0, R1
;timer_hal.c,207 :: 		read_bytes_i2c_p = I2CM_Read_Bytes_Ptr;
LDA.L	R1, _I2CM_Read_Bytes_Ptr+0
STA.L	timer_hal_read_bytes_i2c_p+0, R1
;timer_hal.c,208 :: 		write_10bit_i2c_p = I2CM_Write_10Bit_Ptr;
LDA.L	R1, _I2CM_Write_10Bit_Ptr+0
STA.L	timer_hal_write_10bit_i2c_p+0, R1
;timer_hal.c,209 :: 		read_10bit_i2c_p = I2CM_Read_10Bit_Ptr;
LDA.L	R1, _I2CM_Read_10Bit_Ptr+0
STA.L	timer_hal_read_10bit_i2c_p+0, R1
;timer_hal.c,214 :: 		_i2c_hw_address = address_id;
STA.B	timer_hal__i2c_hw_address+0, R0
; address_id end address is: 0 (R0)
;timer_hal.c,218 :: 		}
L_end_timer_hal_init:
RETURN	
; end of _timer_hal_init
_timer_hal_write:
;timer_hal.c,223 :: 		uint8_t count )
; count start address is: 8 (R2)
; buffer start address is: 4 (R1)
; command start address is: 0 (R0)
LINK	LR, #264
MOVE.L	R5, R1
; count end address is: 8 (R2)
; buffer end address is: 4 (R1)
; command end address is: 0 (R0)
; command start address is: 0 (R0)
; buffer start address is: 20 (R5)
; count start address is: 8 (R2)
;timer_hal.c,226 :: 		uint8_t cmd_size = COMMAND_SIZE;
; cmd_size start address is: 4 (R1)
LDK.L	R1, #1
;timer_hal.c,227 :: 		uint16_t i = 0;
; i start address is: 16 (R4)
LDK.L	R4, #0
;timer_hal.c,228 :: 		uint8_t *temp_ptr = temp;
ADD.L	R3, SP, #8
; temp_ptr start address is: 12 (R3)
;timer_hal.c,229 :: 		uint8_t *buff_ptr = buffer;
; buff_ptr start address is: 24 (R6)
MOVE.L	R6, R5
; buffer end address is: 20 (R5)
;timer_hal.c,230 :: 		uint8_t *cmd_ptr = command;
; cmd_ptr start address is: 20 (R5)
MOVE.L	R5, R0
; command end address is: 0 (R0)
; cmd_size end address is: 4 (R1)
; i end address is: 16 (R4)
; temp_ptr end address is: 12 (R3)
; buff_ptr end address is: 24 (R6)
; cmd_ptr end address is: 20 (R5)
; count end address is: 8 (R2)
MOVE.L	R0, R6
MOVE.L	R6, R5
BEXTU.L	R5, R1, #256
MOVE.L	R1, R3
BEXTU.L	R7, R4, #0
;timer_hal.c,232 :: 		while( cmd_size-- )
L_timer_hal_write0:
; cmd_ptr start address is: 24 (R6)
; cmd_size start address is: 20 (R5)
; buff_ptr start address is: 0 (R0)
; temp_ptr start address is: 4 (R1)
; i start address is: 28 (R7)
; cmd_size start address is: 20 (R5)
; count start address is: 8 (R2)
BEXTU.L	R4, R5, #256
SUB.L	R3, R5, #1
BEXTU.L	R5, R3, #256
; cmd_size end address is: 20 (R5)
CMP.B	R4, #0
JMPC	R30, Z, #1, L_timer_hal_write1
; cmd_size end address is: 20 (R5)
;timer_hal.c,233 :: 		temp[ i++ ] = *( cmd_ptr++ );
; cmd_size start address is: 20 (R5)
ADD.L	R3, SP, #8
ADD.L	R4, R3, R7
LDI.B	R3, R6, #0
STI.B	R4, #0, R3
ADD.L	R7, R7, #1
BEXTU.L	R7, R7, #0
ADD.L	R6, R6, #1
; cmd_size end address is: 20 (R5)
; cmd_ptr end address is: 24 (R6)
JMP	L_timer_hal_write0
L_timer_hal_write1:
;timer_hal.c,235 :: 		while ( count-- )
MOVE.L	R5, R0
; temp_ptr end address is: 4 (R1)
; count end address is: 8 (R2)
; i end address is: 28 (R7)
MOVE.L	R0, R1
BEXTU.L	R1, R2, #256
BEXTU.L	R2, R7, #0
L_timer_hal_write2:
; buff_ptr end address is: 0 (R0)
; count start address is: 4 (R1)
; count start address is: 4 (R1)
; i start address is: 8 (R2)
; temp_ptr start address is: 0 (R0)
; buff_ptr start address is: 20 (R5)
BEXTU.L	R4, R1, #256
SUB.L	R3, R1, #1
BEXTU.L	R1, R3, #256
; count end address is: 4 (R1)
CMP.B	R4, #0
JMPC	R30, Z, #1, L_timer_hal_write3
; count end address is: 4 (R1)
;timer_hal.c,236 :: 		temp[ i++ ] = *( buff_ptr++ );
; count start address is: 4 (R1)
ADD.L	R3, SP, #8
ADD.L	R4, R3, R2
LDI.B	R3, R5, #0
STI.B	R4, #0, R3
ADD.L	R2, R2, #1
BEXTU.L	R2, R2, #0
ADD.L	R5, R5, #1
; count end address is: 4 (R1)
; buff_ptr end address is: 20 (R5)
JMP	L_timer_hal_write2
L_timer_hal_write3:
;timer_hal.c,263 :: 		set_slave_address_i2c_p( _i2c_hw_address );
LDA.B	R6, timer_hal__i2c_hw_address+0
STI.L	SP, #0, R0
STI.S	SP, #4, R2
BEXTU.L	R0, R6, #256
LDA.L	R6, timer_hal_set_slave_address_i2c_p+0
CALLI	R6
LDI.S	R2, SP, #4
LDI.L	R0, SP, #0
;timer_hal.c,264 :: 		write_bytes_i2c_p( temp_ptr, i );
BEXTU.L	R1, R2, #0
; i end address is: 8 (R2)
; temp_ptr end address is: 0 (R0)
LDA.L	R6, timer_hal_write_bytes_i2c_p+0
CALLI	R6
;timer_hal.c,279 :: 		}
L_end_timer_hal_write:
UNLINK	LR
RETURN	
; end of _timer_hal_write
_timer_hal_read:
;timer_hal.c,283 :: 		uint8_t count )
; buffer start address is: 4 (R1)
; command start address is: 0 (R0)
LINK	LR, #16
STI.B	SP, #12, R2
; buffer end address is: 4 (R1)
; command end address is: 0 (R0)
; command start address is: 0 (R0)
; buffer start address is: 4 (R1)
;timer_hal.c,285 :: 		uint8_t *cmd_ptr = command;
STI.L	SP, #0, R0
; command end address is: 0 (R0)
;timer_hal.c,286 :: 		uint8_t *buff_ptr = buffer;
STI.L	SP, #4, R1
; buffer end address is: 4 (R1)
;timer_hal.c,287 :: 		uint8_t cmd_size = COMMAND_SIZE;
LDK.L	R3, #1
STI.B	SP, #8, R3
;timer_hal.c,336 :: 		set_slave_address_i2c_p( _i2c_hw_address );
LDA.B	R6, timer_hal__i2c_hw_address+0
BEXTU.L	R0, R6, #256
LDA.L	R6, timer_hal_set_slave_address_i2c_p+0
CALLI	R6
;timer_hal.c,337 :: 		write_bytes_i2c_p( cmd_ptr, cmd_size );
LDI.B	R1, SP, #8
LDI.L	R0, SP, #0
LDA.L	R6, timer_hal_write_bytes_i2c_p+0
CALLI	R6
;timer_hal.c,338 :: 		read_bytes_i2c_p( buff_ptr, count );
LDI.B	R1, SP, #12
LDI.L	R0, SP, #4
LDA.L	R6, timer_hal_read_bytes_i2c_p+0
CALLI	R6
;timer_hal.c,364 :: 		}
L_end_timer_hal_read:
UNLINK	LR
RETURN	
; end of _timer_hal_read
