#line 1 "C:/Users/Viktor/Desktop/timer_click/ft90/timer_hw.c"
#line 1 "c:/c4w/mikroelektronika/mikroc pro for ft90x/include/stdint.h"





typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 1 "c:/users/viktor/desktop/timer_click/ft90/timer_hal.h"
#line 1 "c:/c4w/mikroelektronika/mikroc pro for ft90x/include/stdint.h"
#line 71 "c:/users/viktor/desktop/timer_click/ft90/timer_hal.h"
void timer_hal_init( uint8_t address_id );
#line 83 "c:/users/viktor/desktop/timer_click/ft90/timer_hal.h"
void timer_hal_write( uint8_t *command,
 uint8_t *buffer,
 uint8_t count );
#line 97 "c:/users/viktor/desktop/timer_click/ft90/timer_hal.h"
void timer_hal_read( uint8_t *command,
 uint8_t *buffer,
 uint8_t count );
#line 1 "c:/users/viktor/desktop/timer_click/ft90/timer_hw.h"
#line 1 "c:/users/viktor/desktop/timer_click/ft90/timer_hal.h"
#line 1 "c:/c4w/mikroelektronika/mikroc pro for ft90x/include/stdbool.h"



 typedef char _Bool;
#line 4 "c:/users/viktor/desktop/timer_click/ft90/timer_hw.h"
void timer_read_eeprom(uint8_t* buffer, uint8_t count);

void timer_write_eeprom(uint8_t* buffer, uint8_t count);

uint32_t timer_get_etc_value();

void timer_set_etc_value(uint32_t _value);

uint16_t timer_get_ec_value();

void timer_set_ec_value(uint16_t _value);

uint16_t timer_get_alarm_value();
#line 26 "c:/users/viktor/desktop/timer_click/ft90/timer_hw.h"
void set_alarm_value(uint32_t _value);
#line 35 "c:/users/viktor/desktop/timer_click/ft90/timer_hw.h"
void timer_set_write_disable();
#line 44 "c:/users/viktor/desktop/timer_click/ft90/timer_hw.h"
void timer_set_write_memory_disable();


int8_t alarm_output_select(uint8_t select);

void reset_enable( _Bool  enable);

int8_t set_alarm_polarity(uint8_t polarity);



void timer_reset_device();
#line 8 "C:/Users/Viktor/Desktop/timer_click/ft90/timer_hw.c"
void timer_read_eeprom(uint8_t* buffer, uint8_t count)
{
 uint8_t* tmp_ptr = buffer;
 uint8_t tmp_adr =  0x0B ;
 timer_hal_read(&tmp_adr,tmp_ptr,count);
}

void timer_write_eeprom(uint8_t* buffer, uint8_t count)
{
 uint8_t* tmp_ptr = buffer;
 uint8_t tmp_adr =  0x0B ;
 timer_hal_write(&tmp_adr, tmp_ptr, count);
}

uint32_t timer_get_etc_value()
{
 uint8_t tmp_buffer[4];
 uint8_t temp_addr =  0x05 ;
 timer_hal_read(&temp_addr,tmp_buffer,4);
 return (tmp_buffer[3] << 24) + (tmp_buffer[2] << 16) + (tmp_buffer[1] << 8) + tmp_buffer[0];

}

void timer_set_etc_value(uint32_t _value)
{
 char value_data[4];
 uint8_t tmp_adr = 0x05 ;
 value_data[0] = (char) _value;
 value_data[1] = (char) (_value >> 8);
 value_data[2] = (char) (_value >> 16);
 value_data[3] = (char) (_value >> 24);

 timer_hal_write(&tmp_adr,value_data, 4);
}

uint16_t timer_get_ec_value()
{
 uint8_t tmp[2];
 uint8_t tmp_adr =  0x09 ;
 timer_hal_read(&tmp_adr,tmp,2);
 return ((uint16_t) tmp[1] << 8) + (uint16_t)tmp[0];
}

void timer_set_ec_value (uint16_t _value)
{
 char value_data[2];
 uint8_t tmp_adr =  0x09 ;
 value_data[0] = (char) _value;
 value_data[1] = (char) (_value >> 8);

 timer_hal_write(&tmp_adr, value_data, 2);
}

uint16_t timer_timer_get_alarm_value()
{
 uint8_t tmp_adr =  0x01 ;
 uint8_t tmp[2];
 timer_hal_read(&tmp_adr, 2, tmp);

 return ((uint16_t)tmp[1] << 8) + (uint16_t)tmp[0];
}
#line 78 "C:/Users/Viktor/Desktop/timer_click/ft90/timer_hw.c"
void timer_set_alarm_value(uint32_t _value)
{
 char value_data[4];
 uint8_t tmp_adr =  0x01 ;
 value_data[0] = (uint8_t) _value;
 value_data[1] = (uint8_t) (_value >> 8);
 value_data[2] = (uint8_t) (_value >> 16);
 value_data[3] = (uint8_t) (_value >> 24);

 timer_hal_write(&tmp_adr, value_data, 4);
}
#line 97 "C:/Users/Viktor/Desktop/timer_click/ft90/timer_hw.c"
void timer_set_write_disable() {
 uint8_t temp = 0xAA;
 uint8_t tmp_adr =  0x1E ;

 timer_hal_write(&tmp_adr, &temp, 1);
 timer_hal_write(&tmp_adr, &temp, 1);
}
#line 112 "C:/Users/Viktor/Desktop/timer_click/ft90/timer_hw.c"
void timer_set_write_memory_disable()
{
 uint8_t temp = 0xF0;
 uint8_t tmp_adr =  0x1F ;

 timer_hal_write(&tmp_adr, &temp, 1);
 timer_hal_write(&tmp_adr, &temp, 1);
}

int8_t alarm_output_select(uint8_t select)
{
 uint8_t temp;
 uint8_t tmp_adr =  0x00 ;
 timer_hal_read(&tmp_adr,&temp, 1);

 if (select == 0)
 temp &= ~(1<<3);

 else if (select == 1)
 temp |= (1<<3);

 else return -1;

 timer_hal_write(&tmp_adr,&temp, 1);
 return 0;
}

void reset_enable( _Bool  enable)
{
 uint8_t temp;
 uint8_t tmp_adr =  0x00 ;
 timer_hal_read(&tmp_adr,&temp, 1);

 if (enable ==  1 )
 temp |= (1<<2);

 else
 temp &= ~(1<<2);

 timer_hal_write(&tmp_adr,&temp, 1);
}

int8_t set_alarm_polarity(uint8_t polarity)
{
 uint8_t temp;
 uint8_t tmp_adr =  0x00 ;
 timer_hal_read(&tmp_adr,&temp, 1);

 if (polarity ==  1 )
 temp |= 1;

 else if (polarity ==  0 )
 temp &= ~(1);

 else return -1;

 timer_hal_write(&tmp_adr,&temp, 1);
 return 0;
}



void timer_reset_device()
{
 uint8_t temp = 0x55;
 uint8_t tmp_adr =  0x1D ;
 reset_enable( 1 );

 timer_hal_write(&tmp_adr, &temp,1);
 timer_hal_write(&tmp_adr, &temp,1);
}
