_timer_read_eeprom:
;timer_hw.c,8 :: 		void timer_read_eeprom(uint8_t* buffer, uint8_t count)
; count start address is: 4 (R1)
; buffer start address is: 0 (R0)
LINK	LR, #8
MOVE.L	R2, R0
; count end address is: 4 (R1)
; buffer end address is: 0 (R0)
; buffer start address is: 8 (R2)
; count start address is: 4 (R1)
;timer_hw.c,10 :: 		uint8_t* tmp_ptr = buffer;
; tmp_ptr start address is: 0 (R0)
MOVE.L	R0, R2
; buffer end address is: 8 (R2)
;timer_hw.c,11 :: 		uint8_t tmp_adr = DS1682_REG_EEPROM;
LDK.L	R2, #11
STI.B	SP, #4, R2
;timer_hw.c,12 :: 		timer_hal_read(&tmp_adr,tmp_ptr,count);
ADD.L	R2, SP, #4
STI.L	SP, #0, R0
; count end address is: 4 (R1)
MOVE.L	R0, R2
BEXTU.L	R2, R1, #256
; tmp_ptr end address is: 0 (R0)
LDI.L	R1, SP, #0
CALL	_timer_hal_read+0
;timer_hw.c,13 :: 		}
L_end_timer_read_eeprom:
UNLINK	LR
RETURN	
; end of _timer_read_eeprom
_timer_write_eeprom:
;timer_hw.c,15 :: 		void timer_write_eeprom(uint8_t* buffer, uint8_t count)
; count start address is: 4 (R1)
; buffer start address is: 0 (R0)
LINK	LR, #8
MOVE.L	R2, R0
; count end address is: 4 (R1)
; buffer end address is: 0 (R0)
; buffer start address is: 8 (R2)
; count start address is: 4 (R1)
;timer_hw.c,17 :: 		uint8_t* tmp_ptr = buffer;
; tmp_ptr start address is: 0 (R0)
MOVE.L	R0, R2
; buffer end address is: 8 (R2)
;timer_hw.c,18 :: 		uint8_t tmp_adr = DS1682_REG_EEPROM;
LDK.L	R2, #11
STI.B	SP, #4, R2
;timer_hw.c,19 :: 		timer_hal_write(&tmp_adr, tmp_ptr, count);
ADD.L	R2, SP, #4
STI.L	SP, #0, R0
; count end address is: 4 (R1)
MOVE.L	R0, R2
BEXTU.L	R2, R1, #256
; tmp_ptr end address is: 0 (R0)
LDI.L	R1, SP, #0
CALL	_timer_hal_write+0
;timer_hw.c,20 :: 		}
L_end_timer_write_eeprom:
UNLINK	LR
RETURN	
; end of _timer_write_eeprom
_timer_get_etc_value:
;timer_hw.c,22 :: 		uint32_t timer_get_etc_value()
LINK	LR, #8
;timer_hw.c,25 :: 		uint8_t temp_addr = DS1682_REG_ELAPSED;
LDK.L	R0, #5
STI.B	SP, #4, R0
;timer_hw.c,26 :: 		timer_hal_read(&temp_addr,tmp_buffer,4);
ADD.L	R1, SP, #0
ADD.L	R0, SP, #4
LDK.L	R2, #4
CALL	_timer_hal_read+0
;timer_hw.c,27 :: 		return (tmp_buffer[3] << 24) + (tmp_buffer[2] << 16) + (tmp_buffer[1] << 8) + tmp_buffer[0];
ADD.L	R2, SP, #0
ADD.L	R0, R2, #1
LDI.B	R0, R0, #0
ASHL.L	R1, R0, #8
BEXTU.L	R1, R1, #0
LDI.B	R0, R2, #0
ADD.L	R0, R1, R0
BEXTU.L	R0, R0, #0
;timer_hw.c,29 :: 		}
L_end_timer_get_etc_value:
UNLINK	LR
RETURN	
; end of _timer_get_etc_value
_timer_set_etc_value:
;timer_hw.c,31 :: 		void timer_set_etc_value(uint32_t _value)
; _value start address is: 0 (R0)
LINK	LR, #8
; _value end address is: 0 (R0)
; _value start address is: 0 (R0)
;timer_hw.c,34 :: 		uint8_t tmp_adr =DS1682_REG_ELAPSED;
LDK.L	R1, #5
STI.B	SP, #4, R1
;timer_hw.c,35 :: 		value_data[0] = (char) _value;
ADD.L	R3, SP, #0
BEXTU.L	R1, R0, #256
STI.B	R3, #0, R1
;timer_hw.c,36 :: 		value_data[1] = (char) (_value >> 8);
ADD.L	R2, R3, #1
LSHR.L	R1, R0, #8
BEXTU.L	R1, R1, #256
STI.B	R2, #0, R1
;timer_hw.c,37 :: 		value_data[2] = (char) (_value >> 16);
ADD.L	R2, R3, #2
LSHR.L	R1, R0, #16
BEXTU.L	R1, R1, #256
STI.B	R2, #0, R1
;timer_hw.c,38 :: 		value_data[3] = (char) (_value >> 24);
ADD.L	R2, R3, #3
LSHR.L	R1, R0, #24
; _value end address is: 0 (R0)
BEXTU.L	R1, R1, #256
STI.B	R2, #0, R1
;timer_hw.c,40 :: 		timer_hal_write(&tmp_adr,value_data, 4);
ADD.L	R1, SP, #4
LDK.L	R2, #4
MOVE.L	R0, R1
MOVE.L	R1, R3
CALL	_timer_hal_write+0
;timer_hw.c,41 :: 		}
L_end_timer_set_etc_value:
UNLINK	LR
RETURN	
; end of _timer_set_etc_value
_timer_get_ec_value:
;timer_hw.c,43 :: 		uint16_t timer_get_ec_value()
LINK	LR, #4
;timer_hw.c,46 :: 		uint8_t tmp_adr = DS1682_REG_EVT_CNTR;
LDK.L	R0, #9
STI.B	SP, #2, R0
;timer_hw.c,47 :: 		timer_hal_read(&tmp_adr,tmp,2);
ADD.L	R1, SP, #0
ADD.L	R0, SP, #2
LDK.L	R2, #2
CALL	_timer_hal_read+0
;timer_hw.c,48 :: 		return ((uint16_t) tmp[1] << 8) + (uint16_t)tmp[0];
ADD.L	R2, SP, #0
ADD.L	R0, R2, #1
LDI.B	R0, R0, #0
ASHL.L	R1, R0, #8
BEXTU.L	R1, R1, #0
LDI.B	R0, R2, #0
ADD.L	R0, R1, R0
;timer_hw.c,49 :: 		}
L_end_timer_get_ec_value:
UNLINK	LR
RETURN	
; end of _timer_get_ec_value
_timer_set_ec_value:
;timer_hw.c,51 :: 		void timer_set_ec_value (uint16_t _value)
; _value start address is: 0 (R0)
LINK	LR, #4
; _value end address is: 0 (R0)
; _value start address is: 0 (R0)
;timer_hw.c,54 :: 		uint8_t tmp_adr = DS1682_REG_EVT_CNTR;
LDK.L	R1, #9
STI.B	SP, #2, R1
;timer_hw.c,55 :: 		value_data[0] = (char) _value;
ADD.L	R3, SP, #0
BEXTU.L	R1, R0, #256
STI.B	R3, #0, R1
;timer_hw.c,56 :: 		value_data[1] = (char) (_value >> 8);
ADD.L	R2, R3, #1
BEXTU.L	R1, R0, #0
; _value end address is: 0 (R0)
LSHR.L	R1, R1, #8
BEXTU.L	R1, R1, #256
STI.B	R2, #0, R1
;timer_hw.c,58 :: 		timer_hal_write(&tmp_adr, value_data, 2);
ADD.L	R1, SP, #2
LDK.L	R2, #2
MOVE.L	R0, R1
MOVE.L	R1, R3
CALL	_timer_hal_write+0
;timer_hw.c,59 :: 		}
L_end_timer_set_ec_value:
UNLINK	LR
RETURN	
; end of _timer_set_ec_value
_timer_timer_get_alarm_value:
;timer_hw.c,61 :: 		uint16_t timer_timer_get_alarm_value()
LINK	LR, #4
;timer_hw.c,63 :: 		uint8_t tmp_adr = DS1682_REG_ALARM;
LDK.L	R0, #1
STI.B	SP, #2, R0
;timer_hw.c,65 :: 		timer_hal_read(&tmp_adr, 2, tmp);
ADD.L	R1, SP, #0
ADD.L	R0, SP, #2
BEXTU.L	R2, R1, #256
LDK.L	R1, #2
CALL	_timer_hal_read+0
;timer_hw.c,67 :: 		return ((uint16_t)tmp[1] << 8) + (uint16_t)tmp[0];
ADD.L	R2, SP, #0
ADD.L	R0, R2, #1
LDI.B	R0, R0, #0
ASHL.L	R1, R0, #8
BEXTU.L	R1, R1, #0
LDI.B	R0, R2, #0
ADD.L	R0, R1, R0
;timer_hw.c,68 :: 		}
L_end_timer_timer_get_alarm_value:
UNLINK	LR
RETURN	
; end of _timer_timer_get_alarm_value
_timer_set_alarm_value:
;timer_hw.c,78 :: 		void timer_set_alarm_value(uint32_t _value)
; _value start address is: 0 (R0)
LINK	LR, #8
; _value end address is: 0 (R0)
; _value start address is: 0 (R0)
;timer_hw.c,81 :: 		uint8_t tmp_adr = DS1682_REG_ALARM;
LDK.L	R1, #1
STI.B	SP, #4, R1
;timer_hw.c,82 :: 		value_data[0] = (uint8_t) _value;
ADD.L	R3, SP, #0
BEXTU.L	R1, R0, #256
STI.B	R3, #0, R1
;timer_hw.c,83 :: 		value_data[1] = (uint8_t) (_value >> 8);
ADD.L	R2, R3, #1
LSHR.L	R1, R0, #8
BEXTU.L	R1, R1, #256
STI.B	R2, #0, R1
;timer_hw.c,84 :: 		value_data[2] = (uint8_t) (_value >> 16);
ADD.L	R2, R3, #2
LSHR.L	R1, R0, #16
BEXTU.L	R1, R1, #256
STI.B	R2, #0, R1
;timer_hw.c,85 :: 		value_data[3] = (uint8_t) (_value >> 24);
ADD.L	R2, R3, #3
LSHR.L	R1, R0, #24
; _value end address is: 0 (R0)
BEXTU.L	R1, R1, #256
STI.B	R2, #0, R1
;timer_hw.c,87 :: 		timer_hal_write(&tmp_adr, value_data, 4);
ADD.L	R1, SP, #4
LDK.L	R2, #4
MOVE.L	R0, R1
MOVE.L	R1, R3
CALL	_timer_hal_write+0
;timer_hw.c,88 :: 		}
L_end_timer_set_alarm_value:
UNLINK	LR
RETURN	
; end of _timer_set_alarm_value
_timer_set_write_disable:
;timer_hw.c,97 :: 		void timer_set_write_disable() {
LINK	LR, #4
;timer_hw.c,98 :: 		uint8_t temp = 0xAA;
LDK.L	R0, #170
STI.B	SP, #0, R0
LDK.L	R0, #30
STI.B	SP, #1, R0
;timer_hw.c,99 :: 		uint8_t tmp_adr = DS1682_REG_WRITE_DISABLE;
;timer_hw.c,101 :: 		timer_hal_write(&tmp_adr, &temp, 1);
ADD.L	R1, SP, #0
ADD.L	R0, SP, #1
LDK.L	R2, #1
CALL	_timer_hal_write+0
;timer_hw.c,102 :: 		timer_hal_write(&tmp_adr, &temp, 1);
ADD.L	R1, SP, #0
ADD.L	R0, SP, #1
LDK.L	R2, #1
CALL	_timer_hal_write+0
;timer_hw.c,103 :: 		}
L_end_timer_set_write_disable:
UNLINK	LR
RETURN	
; end of _timer_set_write_disable
_timer_set_write_memory_disable:
;timer_hw.c,112 :: 		void timer_set_write_memory_disable()
LINK	LR, #4
;timer_hw.c,114 :: 		uint8_t temp = 0xF0;
LDK.L	R0, #240
STI.B	SP, #0, R0
LDK.L	R0, #31
STI.B	SP, #1, R0
;timer_hw.c,115 :: 		uint8_t tmp_adr = DS1682_REG_WRITE_MEM_DISABLE;
;timer_hw.c,117 :: 		timer_hal_write(&tmp_adr, &temp, 1);
ADD.L	R1, SP, #0
ADD.L	R0, SP, #1
LDK.L	R2, #1
CALL	_timer_hal_write+0
;timer_hw.c,118 :: 		timer_hal_write(&tmp_adr, &temp, 1);
ADD.L	R1, SP, #0
ADD.L	R0, SP, #1
LDK.L	R2, #1
CALL	_timer_hal_write+0
;timer_hw.c,119 :: 		}
L_end_timer_set_write_memory_disable:
UNLINK	LR
RETURN	
; end of _timer_set_write_memory_disable
_alarm_output_select:
;timer_hw.c,121 :: 		int8_t alarm_output_select(uint8_t select)
; select start address is: 0 (R0)
LINK	LR, #8
; select end address is: 0 (R0)
; select start address is: 0 (R0)
;timer_hw.c,124 :: 		uint8_t tmp_adr = DS1682_REG_CONFIG;
LDK.L	R1, #0
STI.B	SP, #5, R1
;timer_hw.c,125 :: 		timer_hal_read(&tmp_adr,&temp, 1);
ADD.L	R2, SP, #4
ADD.L	R1, SP, #5
STI.B	SP, #0, R0
MOVE.L	R0, R1
MOVE.L	R1, R2
LDK.L	R2, #1
CALL	_timer_hal_read+0
LDI.B	R0, SP, #0
;timer_hw.c,127 :: 		if (select == 0)
CMP.B	R0, #0
JMPC	R30, Z, #0, L_alarm_output_select0
; select end address is: 0 (R0)
;timer_hw.c,128 :: 		temp &= ~(1<<3);
LDI.B	R1, SP, #4
AND.L	R1, R1, #-9
STI.B	SP, #4, R1
JMP	L_alarm_output_select1
L_alarm_output_select0:
;timer_hw.c,130 :: 		else if (select == 1)
; select start address is: 0 (R0)
CMP.B	R0, #1
JMPC	R30, Z, #0, L_alarm_output_select2
; select end address is: 0 (R0)
;timer_hw.c,131 :: 		temp |= (1<<3);
LDI.B	R1, SP, #4
OR.L	R1, R1, #8
STI.B	SP, #4, R1
JMP	L_alarm_output_select3
L_alarm_output_select2:
;timer_hw.c,133 :: 		else return -1;
LDK.L	R0, #-1
JMP	L_end_alarm_output_select
L_alarm_output_select3:
L_alarm_output_select1:
;timer_hw.c,135 :: 		timer_hal_write(&tmp_adr,&temp, 1);
ADD.L	R2, SP, #4
ADD.L	R1, SP, #5
MOVE.L	R0, R1
MOVE.L	R1, R2
LDK.L	R2, #1
CALL	_timer_hal_write+0
;timer_hw.c,136 :: 		return 0;
LDK.L	R0, #0
;timer_hw.c,137 :: 		}
L_end_alarm_output_select:
UNLINK	LR
RETURN	
; end of _alarm_output_select
_reset_enable:
;timer_hw.c,139 :: 		void reset_enable(bool enable)
; enable start address is: 0 (R0)
LINK	LR, #8
; enable end address is: 0 (R0)
; enable start address is: 0 (R0)
;timer_hw.c,142 :: 		uint8_t tmp_adr = DS1682_REG_CONFIG;
LDK.L	R1, #0
STI.B	SP, #5, R1
;timer_hw.c,143 :: 		timer_hal_read(&tmp_adr,&temp, 1);
ADD.L	R2, SP, #4
ADD.L	R1, SP, #5
STI.B	SP, #0, R0
MOVE.L	R0, R1
MOVE.L	R1, R2
LDK.L	R2, #1
CALL	_timer_hal_read+0
LDI.B	R0, SP, #0
;timer_hw.c,145 :: 		if (enable == true)
CMP.B	R0, #1
JMPC	R30, Z, #0, L_reset_enable4
; enable end address is: 0 (R0)
;timer_hw.c,146 :: 		temp |= (1<<2);
LDI.B	R1, SP, #4
OR.L	R1, R1, #4
STI.B	SP, #4, R1
JMP	L_reset_enable5
L_reset_enable4:
;timer_hw.c,149 :: 		temp &= ~(1<<2);
LDI.B	R1, SP, #4
AND.L	R1, R1, #-5
STI.B	SP, #4, R1
L_reset_enable5:
;timer_hw.c,151 :: 		timer_hal_write(&tmp_adr,&temp, 1);
ADD.L	R2, SP, #4
ADD.L	R1, SP, #5
MOVE.L	R0, R1
MOVE.L	R1, R2
LDK.L	R2, #1
CALL	_timer_hal_write+0
;timer_hw.c,152 :: 		}
L_end_reset_enable:
UNLINK	LR
RETURN	
; end of _reset_enable
_set_alarm_polarity:
;timer_hw.c,154 :: 		int8_t  set_alarm_polarity(uint8_t polarity)
; polarity start address is: 0 (R0)
LINK	LR, #8
; polarity end address is: 0 (R0)
; polarity start address is: 0 (R0)
;timer_hw.c,157 :: 		uint8_t tmp_adr = DS1682_REG_CONFIG;
LDK.L	R1, #0
STI.B	SP, #5, R1
;timer_hw.c,158 :: 		timer_hal_read(&tmp_adr,&temp, 1);
ADD.L	R2, SP, #4
ADD.L	R1, SP, #5
STI.B	SP, #0, R0
MOVE.L	R0, R1
MOVE.L	R1, R2
LDK.L	R2, #1
CALL	_timer_hal_read+0
LDI.B	R0, SP, #0
;timer_hw.c,160 :: 		if (polarity == HIGH)
CMP.B	R0, #1
JMPC	R30, Z, #0, L_set_alarm_polarity6
; polarity end address is: 0 (R0)
;timer_hw.c,161 :: 		temp |= 1;
LDI.B	R1, SP, #4
OR.L	R1, R1, #1
STI.B	SP, #4, R1
JMP	L_set_alarm_polarity7
L_set_alarm_polarity6:
;timer_hw.c,163 :: 		else if (polarity == LOW)
; polarity start address is: 0 (R0)
CMP.B	R0, #0
JMPC	R30, Z, #0, L_set_alarm_polarity8
; polarity end address is: 0 (R0)
;timer_hw.c,164 :: 		temp &= ~(1);
LDI.B	R1, SP, #4
AND.L	R1, R1, #-2
STI.B	SP, #4, R1
JMP	L_set_alarm_polarity9
L_set_alarm_polarity8:
;timer_hw.c,166 :: 		else return -1;
LDK.L	R0, #-1
JMP	L_end_set_alarm_polarity
L_set_alarm_polarity9:
L_set_alarm_polarity7:
;timer_hw.c,168 :: 		timer_hal_write(&tmp_adr,&temp, 1);
ADD.L	R2, SP, #4
ADD.L	R1, SP, #5
MOVE.L	R0, R1
MOVE.L	R1, R2
LDK.L	R2, #1
CALL	_timer_hal_write+0
;timer_hw.c,169 :: 		return 0;
LDK.L	R0, #0
;timer_hw.c,170 :: 		}
L_end_set_alarm_polarity:
UNLINK	LR
RETURN	
; end of _set_alarm_polarity
_timer_reset_device:
;timer_hw.c,174 :: 		void timer_reset_device()
LINK	LR, #4
;timer_hw.c,176 :: 		uint8_t temp = 0x55;
LDK.L	R0, #85
STI.B	SP, #0, R0
LDK.L	R0, #29
STI.B	SP, #1, R0
;timer_hw.c,177 :: 		uint8_t tmp_adr = DS1682_REG_RESET;
;timer_hw.c,178 :: 		reset_enable(true);
LDK.L	R0, #1
CALL	_reset_enable+0
;timer_hw.c,180 :: 		timer_hal_write(&tmp_adr, &temp,1);
ADD.L	R1, SP, #0
ADD.L	R0, SP, #1
LDK.L	R2, #1
CALL	_timer_hal_write+0
;timer_hw.c,181 :: 		timer_hal_write(&tmp_adr, &temp,1);
ADD.L	R1, SP, #0
ADD.L	R0, SP, #1
LDK.L	R2, #1
CALL	_timer_hal_write+0
;timer_hw.c,182 :: 		}
L_end_timer_reset_device:
UNLINK	LR
RETURN	
; end of _timer_reset_device
